summaryrefslogtreecommitdiffstats
path: root/266/regr/testcase
diff options
context:
space:
mode:
Diffstat (limited to '266/regr/testcase')
-rwxr-xr-x266/regr/testcase24
1 files changed, 24 insertions, 0 deletions
diff --git a/266/regr/testcase b/266/regr/testcase
new file mode 100755
index 0000000..933735a
--- /dev/null
+++ b/266/regr/testcase
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+description="# In stripe client crashes when disk space is full"
+comments="# When mknod system call is executed on a disk which is full with S_IFREG client crashes "
+
+source ../../init
+
+start_glusterfs
+
+sleep 5
+
+gcc $SPECDIR/mknod.c -o $SPECDIR/mkn
+$SPECDIR/mkn $MOUNTDIR/client1/foo
+if [ $? -ne 0 ]; then
+ not_ok $description
+ comment $comments
+else
+ ok $description
+ comment $comments
+fi
+
+rm $SPECDIR/mkn
+
+cleanup_glusterfs \ No newline at end of file